/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package menu;

import java.awt.*;
import javax.swing.*;

public class MRadioButton extends JRadioButton {
    MultiLineToolTip mToolTip = new MultiLineToolTip(500, 60000);
    
    public MRadioButton(String name) {
        super(name);
        this.mToolTip.setComponent(this);
        Font font = new Font(Font.DIALOG, Font.PLAIN, 12);
        this.mToolTip.setFont(font);
        this.mToolTip.setComponent(this);
    }

    public JToolTip createToolTip() {
        return this.mToolTip;
    }

    public void setToolTipFont(Font font) {
        this.mToolTip.setFont(font);
    }
    
    public void setToolTipFont(int type) {
      // type: Font.BOLD/Font.ITALIC/Font.BOLD+Font.ITALIC etc
        Font font = new Font(Font.DIALOG, type, 12);
        this.mToolTip.setFont(font);
    }
}
